net.i2p.router.networkdb.kademlia

## Class ExploreKeySelectorJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.ExploreKeySelectorJob

All Implemented Interfaces:
  Job

     class ExploreKeySelectorJob
    extends JobImpl

Go through the kbuckets and generate random keys for routers in buckets not yet full, attempting to keep a pool of keys we can explore with (at least one per bucket)

### Constructor Summary

Constructors
Constructor and Description
`ExploreKeySelectorJob(RouterContext context, KademliaNetworkDatabaseFacade facade)`

### Method Summary

Methods
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExploreKeySelectorJob

    public ExploreKeySelectorJob(RouterContext context,
                         KademliaNetworkDatabaseFacade facade)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.